from base64 import b64decode
from os.path import normpath, exists, join, abspath
def bfs11316():
  bfs11312 = 'aGVsaXVtLXB5dGhvbi9zcmMvbWFpbi9weXRob24='.encode('ascii')
  bfs11314 = b64decode(bfs11312).decode('ascii')
  return (normpath(bfs11314) in normpath(abspath(__file__)))

class bfs11315(object):
  def __init__(self, *bfs11317):
    self.bfs11317 = bfs11317

  def bfs10514(self, *bfs11320):
    for bfs11321 in self.bfs11317:
      location = self.bfs11322(bfs11321, *bfs11320)
      if exists(location):
        return location


    return self.bfs11322(self.bfs11317[0], *bfs11320)

  def bfs11322(self, *bfs11323):
    return normpath(join(*bfs11323))


